### Constructor

# Gimp ImageProcedure new

#### Declaration [src]

    GimpProcedure*
    gimp_image_procedure_new (
      GimpPlugIn* plug_in,
      const gchar* name,
      GimpPDBProcType proc_type,
      GimpRunImageFunc run_func,
      gpointer run_data,
      GDestroyNotify run_data_destroy
    )

#### Description [src]

Creates a new image procedure named `name` which will call `run_func` when invoked.

See `gimp_procedure_new()` for information about `proc_type`.

Available since: | 3.0

#### Parameters

`plug_in` | `GimpPlugIn`
| A `GimpPlugIn`.
| The data is owned by the caller of the function.
`name` | `const gchar*`
| The new procedure’s name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`proc_type` | `GimpPDBProcType`
| The new procedure’s `GimpPDBProcType`.
`run_func` | `GimpRunImageFunc`
| The run function for the new procedure.
`run_data` | `gpointer`
| User data passed to `run_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`run_data_destroy` | `GDestroyNotify`
| Free function for `run_data`, or `NULL`.
| The argument can be `NULL`.

#### Return value

Returns: | `GimpProcedure`
| A new `GimpProcedure`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.